package org.osgeo.grass.i;

import org.jgrasstools.grass.utils.ModuleSupporter;

import oms3.annotations.Author;
import oms3.annotations.Documentation;
import oms3.annotations.Label;
import oms3.annotations.Description;
import oms3.annotations.Execute;
import oms3.annotations.In;
import oms3.annotations.UI;
import oms3.annotations.Keywords;
import oms3.annotations.License;
import oms3.annotations.Name;
import oms3.annotations.Out;
import oms3.annotations.Status;

@Description("Classification is based on the spectral signature information generated by either i.cluster, i.class, or i.gensig.")
@Author(name = "Grass Developers Community", contact = "http://grass.osgeo.org")
@Keywords("imagery, classification, MLC")
@Label("Grass/Imagery Modules")
@Name("i__maxlik")
@Status(Status.CERTIFIED)
@License("General Public License Version >=2)")
public class i__maxlik {

	@UI("infile,grassfile")
	@Description("Name of input imagery group")
	@In
	public String $$groupPARAMETER;

	@UI("infile,grassfile")
	@Description("Name of input imagery subgroup")
	@In
	public String $$subgroupPARAMETER;

	@Description("Generated by either i.cluster, i.class, or i.gensig")
	@In
	public String $$sigfilePARAMETER;

	@UI("outfile,grassfile")
	@Description("Name for raster map holding classification results")
	@In
	public String $$classPARAMETER;

	@UI("outfile,grassfile")
	@Description("Name for raster map holding reject threshold results (optional)")
	@In
	public String $$rejectPARAMETER;

	@Description("Run quietly")
	@In
	public boolean $$qFLAG = false;

	@Description("Allow output files to overwrite existing files")
	@In
	public boolean $$overwriteFLAG = false;

	@Description("Verbose module output")
	@In
	public boolean $$verboseFLAG = false;

	@Description("Quiet module output")
	@In
	public boolean $$quietFLAG = false;


	@Execute
	public void process() throws Exception {
		ModuleSupporter.processModule(this);
	}

}
